#!/bin/sh

set -x -e

cd /root

chmod 0600 .ssh/id_ed25519

cat > .ssh/config <<EOF
Host backuphost
	HostName $TARGET_SSH_HOST
	Port $TARGET_SSH_PORT
	User $TARGET_SSH_USER
EOF

echo "export sql"
# note, -Fc means that postgresql compresses the output
export PGPASSWORD=$MATRIX_PSQL_PWD
pg_dump -v -Fc -U $MATRIX_PSQL_USER -h psql-proxy.service.2.cluster.deuxfleurs.fr $MATRIX_PSQL_DB | \
	age -r "$(cat /root/.ssh/id_ed25519.pub)" | \
	ssh backuphost "cat > $TARGET_SSH_DIR/matrix/db-$(date --iso-8601=minute).gz.age"

MATRIX_MEDIA="/mnt/glusterfs/chat/matrix/synapse/media"
echo "export local_content"
tar -vcf - ${MATRIX_MEDIA} | \
	age -r "$(cat /root/.ssh/id_ed25519.pub)" | \
	ssh backuphost "cat > $TARGET_SSH_DIR/matrix/media-$(date --iso-8601=minute).gz.age"
